package aliyun_avatar

import (
	"context"

    "wechat-api/ent/aliyunavatar"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeleteAliyunAvatarLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeleteAliyunAvatarLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteAliyunAvatarLogic {
	return &DeleteAliyunAvatarLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeleteAliyunAvatarLogic) DeleteAliyunAvatar(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.AliyunAvatar.Delete().Where(aliyunavatar.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
